Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	RenderMan(tm) compliant 3D renderer
Name:		aqsis
Version:	1.2.0
Release:	2	
License:	GPL/LGPL
URL:		http://www.aqsis.org
Group:		Graphics
Source0:	%{name}-%{version}.tar.gz
Patch0:		aqsis-rm_debug_flag.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel 
BuildRequires:  OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires:  zlib-devel 
BuildRequires:  scons
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel

%description
Aqsis is a high quality, photorealistic, 3D rendering solution. It complies with the RenderMan interface standard defined by Pixar.

The RenderMan standard has been used in film and television visual effects since it's introduction in 1989. Pixar has used their own implementation for all of their award winning CG features, and provided their implementation for use in the visual effects of most major blockbuster films over the last 2 decades. The Aqsis project offers a way for individuals and organistaions alike to gain experience with the RenderMan interface without the cost of commercial software licenses.

Aqsis comprises a command line rendering tool, a tool for compiling shaders in the RSL language, a tool for preparing textures for optimal use, and various developer libraries to enable integration with third party tools.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%pre
ldconfig

%post
ldconfig

%build
#scons prefix=%_prefix build
scons install_prefix='%_prefix' sysconfdir=/etc/aqsis build

%install
rm -rf $RPM_BUILD_ROOT
#scons prefix="%_prefix" destdir="$RPM_BUILD_ROOT" libdir=/lib install
scons install_prefix='%_prefix' sysconfdir=/etc/aqsis destdir="$RPM_BUILD_ROOT" install
find $RPM_BUILD_ROOT -name .sconsign -exec rm \{\} \
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_sysconfdir
%_datadir

%files devel
%defattr(-,root,root)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Tue Aug 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Initial Release
